Start a small molecule de novo design run
Create a new design run that generates novel small molecule candidates for a protein target
Body Parameters
Number of molecules to generate. Must be between 10 and 1,000,000.
Chemical space to constrain generated molecules. Currently only 'enamine_real' (Enamine REAL chemical space) is supported. Additional options may be added in the future.
Client-provided key to prevent duplicate submissions on retries
Target workspace ID (admin keys only; ignored for workspace keys)
Returns
Unique SmDesignRun identifier
When the input, output, and result data was permanently deleted. Null if data has not been deleted.
Engine used for small molecule design
Engine version used for small molecule design
Whether this resource was created with a live API key.
Workspace ID
Client-provided idempotency key
Start a small molecule de novo design run
curl https://api.boltz.bio/compute/v1/small-molecule/design \
-H 'Content-Type: application/json' \
-H "x-api-key: $BOLTZ_API_KEY" \
-d '{
"num_molecules": 10,
"target": {
"entities": [
{
"chain_ids": [
"string"
],
"type": "protein",
"value": "value"
}
]
}
}'{
"id": "id",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"engine": "boltz-sm-design",
"engine_version": "engine_version",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"input": {
"num_molecules": 10,
"target": {
"entities": [
{
"chain_ids": [
"string"
],
"type": "protein",
"value": "value",
"cyclic": true,
"modifications": [
{
"residue_index": 0,
"type": "ccd",
"value": "value"
}
]
}
],
"bonds": [
{
"atom1": {
"atom_name": "atom_name",
"chain_id": "chain_id",
"type": "ligand_atom"
},
"atom2": {
"atom_name": "atom_name",
"chain_id": "chain_id",
"type": "ligand_atom"
}
}
],
"constraints": [
{
"binder_chain_id": "binder_chain_id",
"contact_residues": {
"A": [
42,
43,
44,
67,
68,
69
]
},
"max_distance_angstrom": 0,
"type": "pocket",
"force": true
}
],
"pocket_residues": {
"A": [
42,
43,
44,
67,
68,
69
]
},
"reference_ligands": [
"string"
]
},
"chemical_space": "enamine_real",
"idempotency_key": "idempotency_key",
"molecule_filters": {
"boltz_smarts_catalog_filter_level": "recommended",
"custom_filters": [
{
"max_hba": 0,
"max_hbd": 0,
"max_logp": 0,
"max_mw": 0,
"type": "lipinski_filter",
"allow_single_violation": true
}
]
},
"workspace_id": "workspace_id"
},
"livemode": true,
"progress": {
"num_molecules_generated": 0,
"total_molecules_to_generate": 1,
"latest_result_id": "latest_result_id"
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"stopped_at": "2019-12-27T18:11:19.117Z",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}Returns Examples
{
"id": "id",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"engine": "boltz-sm-design",
"engine_version": "engine_version",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"input": {
"num_molecules": 10,
"target": {
"entities": [
{
"chain_ids": [
"string"
],
"type": "protein",
"value": "value",
"cyclic": true,
"modifications": [
{
"residue_index": 0,
"type": "ccd",
"value": "value"
}
]
}
],
"bonds": [
{
"atom1": {
"atom_name": "atom_name",
"chain_id": "chain_id",
"type": "ligand_atom"
},
"atom2": {
"atom_name": "atom_name",
"chain_id": "chain_id",
"type": "ligand_atom"
}
}
],
"constraints": [
{
"binder_chain_id": "binder_chain_id",
"contact_residues": {
"A": [
42,
43,
44,
67,
68,
69
]
},
"max_distance_angstrom": 0,
"type": "pocket",
"force": true
}
],
"pocket_residues": {
"A": [
42,
43,
44,
67,
68,
69
]
},
"reference_ligands": [
"string"
]
},
"chemical_space": "enamine_real",
"idempotency_key": "idempotency_key",
"molecule_filters": {
"boltz_smarts_catalog_filter_level": "recommended",
"custom_filters": [
{
"max_hba": 0,
"max_hbd": 0,
"max_logp": 0,
"max_mw": 0,
"type": "lipinski_filter",
"allow_single_violation": true
}
]
},
"workspace_id": "workspace_id"
},
"livemode": true,
"progress": {
"num_molecules_generated": 0,
"total_molecules_to_generate": 1,
"latest_result_id": "latest_result_id"
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"stopped_at": "2019-12-27T18:11:19.117Z",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}